MeshArtist.draw

MeshArtist.draw(vertices=None, edges=None, faces=None, vertexcolor=None, edgecolor=None, facecolor=None, color=None, join_faces=False)[source]

Draw the mesh using the chosen visualization settings.

Parameters
  • vertices (list, optional) – A list of vertices to draw. Default is None, in which case all vertices are drawn.

  • edges (list, optional) – A list of edges to draw. The default is None, in which case all edges are drawn.

  • faces (list, optional) – A selection of faces to draw. The default is None, in which case all faces are drawn.

  • vertexcolor (tuple or dict of tuple, optional) – The color specification for the vertices. The default color is the value of ~MeshArtist.default_vertexcolor.

  • edgecolor (tuple or dict of tuple, optional) – The color specification for the edges. The default color is the value of ~MeshArtist.default_edgecolor.

  • facecolor (tuple or dict of tuple, optional) – The color specification for the faces. The default color is the value of ~MeshArtist.default_facecolor.

  • color (tuple, optional) – The color of the mesh. Default is the value of ~MeshArtist.default_color.

  • join_faces (bool, optional) – Join the faces into 1 mesh. Default is False, in which case the faces are drawn as individual meshes.

Returns

list of Rhino.Geometry.Mesh, Rhino.Geometry.Point3d and Rhino.Geometry.Line depending on the selection.